# Interface methods for submodule: TransformGeometryImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: TransformGeometryImageFilter
class TransformGeometryImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTransformInput(self, _arg) -> None:
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetTransformInput(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetInputImage(self, _arg) -> None:
		""""""
		...

	def GetInputImage(self):
		""""""
		...

